package com.cool.store.mapper;

import com.cool.store.entity.LeaseBaseInfoDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import javax.websocket.server.PathParam;
import java.util.List;

@Mapper
public interface TrainingExperienceMapper {

    void insert(@Param("entity") LeaseBaseInfoDO toLeaseBaseInfoDO);

    void updateStatus(@Param("lineId") Long lineId,
                      @Param("status") Integer status,
                      @Param("abandonCause") String abandonCause);

    LeaseBaseInfoDO selectByLineId(@Param("lineId") Long lineId);

    List<LeaseBaseInfoDO> selectByLineIds(@Param("lineIds") List<Long> lineIds);

    /**
     * 查询当日的门店体验数据
     * @return
     */
    List<LeaseBaseInfoDO> selectESTime();

}
